/*$cb
 *    This file is a part of OpenMHP VDR plugin.
 *
 *    Copyright (C) 2005 Mikko Novaro <miknov@gmail.com>
 *
 *    See README file for licensing and contact information.
 $ce*/

#ifndef _MENU_H_
#define _MENU_H_

#include <vdr/plugin.h>
#include "libopenmhp/openmhp.h"

class cPluginOpenmhp;

class cOpenmhpMenu : public cOsdMenu {
 private:
  cPluginOpenmhp *openmhp;
 public:
  cOpenmhpMenu(cPluginOpenmhp *openmhp);
  ~cOpenmhpMenu(void);
  eOSState Start(void);
  eOSState ProcessKey(eKeys Key);
  // cOsdObject *MainMenuAction(void);
};

class cXletMenuItem : public cOsdItem {
 private:
  cXlet *xlet;
 public:
  cXletMenuItem(cXlet *x);
  ~cXletMenuItem();
  cXlet *GetXlet(void);
};

#endif
